fitnessSplits.BigBang {galgo} | R Documentation

## Computes the fitness function from chromosomes for different splits

### Description

Computes the fitness function from chromosomes for different splits.

### Usage

    ## S3 method for class 'BigBang'
    fitnessSplits(o,
    	filter="none",
    	subset=TRUE,
    	fitnessFunc=o$data$modelSelectionFunc,
    	maxCache=1e+06,
    	chromosomes=NULL,
    	use.cache=TRUE,
    	...)

### Arguments

`filter` | The `BigBang` object can save information about solutions that did not reach the `goalFitness`. `filter=="solutions"` ensures that only chromosomes that reach the `goalFitness` are considered. `fitlter=="none"` take all chromosomes. `filter=="nosolutions"` consider only no-solutions (for comparative purposes).
`subset` | Second level of filter. `subset` can be a vector specifying which filtered chromosomes are used. It can be a logical vector or a numeric vector (indexes in order given by `$bestChromosomes` in `BigBang` object variable). If it is a numeric vector length one, a positive value means take those top chromosomes sorted by fitness, a negative value take those at bottom.
`fitnessFunc` | The function that provides the fitness for every chromosome. If the fitness is “split-sensitive” it should returns only one value (like the common `$galgo$fitnessFunc` variable). If the fitness does the splitting process itself (like `$data$modelSelectionFunc`), the result should be a vector of a fitness value for every split. The default use `$data$modelSelectionFunc`.
`maxCache` | The maximum number of values to be saved in the `BigBang` object (all variables starting with `"fitnessSplits"`). Useful for saving results between R sessions.
`chromosomes` | The chromosomes to process. The default is using `filter` and `subset` to extract the chromosomes from the `BigBang` object.
`use.cache` | Save/Restore values from previous computations with same parameters.

### Value

A Matrix with chromosomes in rows and splits in columns. Each value is the result of the fitness function in a given chromosome on an split.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`. `*plot()`.

### Examples

    ## Not run:
       #bb is a BigBang object
       fs <- fitnessSplits(bb)
       fs
       fs <- fitnessSplits(bb, fitnessFunc=bb$galgo$fitnessFunc)
       fs
       fs <- fitnessSplits(bb, fitnessFunc=bb$data$modelSelectionFunc) # default
       fs

    ## End(Not run)

[Package galgo version 1.4 Index]